Loading...
Searching...
No Matches
rpmtd_s Struct Reference
Querying package headers: » RPM Tag Data Container API.

`#include <rpmtd.h>`

## Data Fields

rpm_tag_t | tag
rpm_tagtype_t | type
rpm_count_t | count
rpm_data_t | data
rpmtdFlags | flags
int | ix
rpm_count_t | size

## Detailed Description

Container for rpm tag data (from headers or extensions).

Todo
  Make this opaque (at least outside rpm itself)

## Field Documentation

## count

rpm_count_t rpmtd_s::count

number of entries

## data

rpm_data_t rpmtd_s::data

pointer to actual data

## flags

rpmtdFlags rpmtd_s::flags

flags on memory allocation etc

## ix

int rpmtd_s::ix

iteration index

## size

rpm_count_t rpmtd_s::size

size of data (only works for RPMTD_IMMUTABLE atm)

## tag

rpm_tag_t rpmtd_s::tag

rpm tag of this data entry

## type

rpm_tagtype_t rpmtd_s::type

data type

The documentation for this struct was generated from the following file:

- /home/mdomonko/code/rpm/rpm-4.20.x/include/rpm/rpmtd.h